--- /dev/null
+#
+# Copyright (C) 2007-2014 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=pciutils
+PKG_VERSION:=3.2.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
+PKG_SOURCE_URL:=@KERNEL/software/utils/pciutils
+PKG_MD5SUM:=425b1acad6854cc2bbb06ac8e48e76fc
+PKG_MAINTAINER:=Álvaro Fernández Rojas <noltari@gmail.com>
+
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/pciutils
+ SECTION:=utils
+ CATEGORY:=Utilities
+ TITLE:=Linux PCI Utilities
+ URL:=http://mj.ucw.cz/pciutils.shtml
+ DEPENDS:=+zlib
+endef
+
+define Package/pciutils/description
+ contains collection of programs for inspecting and manipulating configuration
+ of PCI devices
+endef
+
+define Package/pciutils/postinst
+#!/bin/sh
+[ -z "$${IPKG_INSTROOT}" ] || \
+(cd $${PKG_ROOT}/usr/share; $${PKG_ROOT}/usr/sbin/update-pciids; rm pci.ids.gz.old)
+exit 0
+endef
+
+MAKE_FLAGS += \
+ CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include" \
+ PREFIX="/usr" \
+ HOST="$(GNU_TARGET_NAME)" \
+ ZLIB="yes" \
+
+ifneq ($(CONFIG_USE_EGLIBC),)
+TARGET_LDFLAGS += -lresolv
+endif
+
+define Build/InstallDev
+ $(INSTALL_DIR) $(1)/usr/lib
+ $(CP) $(PKG_BUILD_DIR)/lib/libpci.a $(1)/usr/lib
+ $(INSTALL_DIR) $(1)/usr/include/pci
+ $(CP) $(foreach i,pci.h config.h header.h types.h, \
+ $(PKG_BUILD_DIR)/lib/$(i)) $(1)/usr/include/pci
+endef
+
+define Package/pciutils/install
+ $(INSTALL_DIR) $(1)/usr/sbin
+ $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/{lspci,setpci,update-pciids} $(1)/usr/sbin/
+ $(INSTALL_DIR) $(1)/usr/share
+ $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/share/pci.ids.gz $(1)/usr/share/
+endef
+
+$(eval $(call BuildPackage,pciutils))
--- /dev/null
+--- a/update-pciids.sh
++++ b/update-pciids.sh
+@@ -33,7 +33,7 @@ if which curl >/dev/null 2>&1 ; then
+ DL="curl -o $DEST.new $SRC"
+ ${quiet} && DL="$DL -s -S"
+ elif which wget >/dev/null 2>&1 ; then
+- DL="wget --no-timestamping -O $DEST.new $SRC"
++ DL="wget -O $DEST.new $SRC"
+ ${quiet} && DL="$DL -q"
+ elif which lynx >/dev/null 2>&1 ; then
+ DL="eval lynx -source $SRC >$DEST.new"
--- /dev/null
+--- a/Makefile
++++ b/Makefile
+@@ -108,7 +108,7 @@ distclean: clean
+ install: all
+ # -c is ignored on Linux, but required on FreeBSD
+ $(DIRINSTALL) -m 755 $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7
+- $(INSTALL) -c -m 755 $(STRIP) lspci setpci $(DESTDIR)$(SBINDIR)
++ $(INSTALL) -c -m 755 lspci setpci $(DESTDIR)$(SBINDIR)
+ $(INSTALL) -c -m 755 update-pciids $(DESTDIR)$(SBINDIR)
+ $(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(IDSDIR)
+ $(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
--- /dev/null
+--- a/update-pciids.sh
++++ b/update-pciids.sh
+@@ -6,9 +6,8 @@ set -e
+ SRC="http://pci-ids.ucw.cz/v2.2/pci.ids"
+ DEST=pci.ids
+ PCI_COMPRESSED_IDS=
+-GREP=grep
+
+-# if pci.ids is read-only (because the filesystem is read-only),
++# if pci.ids.gz is read-only (because the filesystem is read-only),
+ # then just skip this whole process.
+ if ! touch ${DEST} >/dev/null 2>&1 ; then
+ ${quiet} || echo "${DEST} is read-only, exiting." 1>&2
+@@ -18,7 +17,7 @@ fi
+ if [ "$PCI_COMPRESSED_IDS" = 1 ] ; then
+ DECOMP="cat"
+ SRC="$SRC.gz"
+- GREP=zgrep
++ DEST="$DEST.gz"
+ elif which bzip2 >/dev/null 2>&1 ; then
+ DECOMP="bzip2 -d"
+ SRC="$SRC.bz2"
+@@ -53,7 +52,7 @@ if ! $DECOMP <$DEST.new >$DEST.neww ; th
+ exit 1
+ fi
+
+-if ! $GREP >/dev/null "^C " $DEST.neww ; then
++if ! zcat $DEST.neww | grep >/dev/null "^C " ; then
+ echo >&2 "update-pciids: missing class info, probably truncated file"
+ exit 1
+ fi
--- /dev/null
+--- a/Makefile
++++ b/Makefile
+@@ -85,7 +85,7 @@ lspci: LDLIBS+=$(LIBKMOD_LIBS)
+ ls-kernel.o: CFLAGS+=$(LIBKMOD_CFLAGS)
+
+ update-pciids: update-pciids.sh
+- sed <$< >$@ "s@^DEST=.*@DEST=$(IDSDIR)/$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
++ sed <$< >$@ "s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
+ chmod +x $@
+
+ # The example of use of libpci
--- /dev/null
+--- a/lib/configure
++++ b/lib/configure
+@@ -57,7 +57,7 @@ echo >>$c "#define PCI_OS_`echo $sys | t
+ echo >$m 'WITH_LIBS='
+
+ echo_n "Looking for access methods..."
+-LIBRESOLV=-lresolv
++LIBRESOLV=
+
+ case $sys in
+ linux*)